Loading...
Searching...
No Matches
solsys-ephem.c File Reference

Major planet ephemeris lookup via the function, which was configured by set_ephem_provider(). More...

## Functions

short | planet_ephem_provider (double jd_tdb, enum novas_planet body, enum novas_origin origin, double *restrict position, double *restrict velocity)
| Major planet ephemeris data via the same generic ephemeris provider that is configured by set_ephem_provider() prior to calling this routine.
short | planet_ephem_provider_hp (const double jd_tdb[restrict 2], enum novas_planet body, enum novas_origin origin, double *restrict position, double *restrict velocity)
| Major planet ephemeris data via the same generic ephemeris provider that is configured by set_ephem_provider() prior to calling this routine.

## Detailed Description

Major planet ephemeris lookup via the function, which was configured by set_ephem_provider().

Date
  Created on Jan 29, 2024

Author
  Attila Kovacs

See also
  ephemeris.c, solsys-calceph.c, solsys-cspice.c, orbital.c